Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155924 - package requirement mismatch between cman-kernel and cman-kernel-smp
Summary: package requirement mismatch between cman-kernel and cman-kernel-smp
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cman-kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-25 19:50 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-04 23:15:15 UTC


Attachments (Terms of Use)

Description Jef Spaleta 2005-04-25 19:50:34 UTC
Description of problem:
rpm -q --requires cman-kernel-2.6.11.2-20050420.112235.FC4.0
kernel = 2.6.11-1.1253_FC4
rpm -q --requires cman-kernel-smp-2.6.11.2-20050420.112235.FC4.0
kernel-smp

Questions:
does cman-kernel-smp need a versioned requires of kernel-smp?
do you need to add a requirement on /lib/modules/X.Y.Z-A.B
like dlm-kernel-smp has to make sure the right kernel is installed?
rpm -q --requires dlm-kernel-smp-2.6.11.2-20050420.131626.FC4.0
/lib/modules/2.6.11-1.1253_FC4smp


There is a mistmatch between how dlm-kernel, dlm-kernel-smp, cman-kernel and
cman-kernel-smp are attempted to deal with kernel requirements. Not sure which
technical solution is right, but certaintly seems all the kernel module packages
should be doing the same thing with require to requirement handling. 

-jef"next stop.. gnbd-kernel"spaleta

Comment 1 Chris Feist 2005-04-25 20:50:21 UTC
Fixed.  Both packages now require /lib/modules as well as kernel (or kernel-smp).

Comment 2 Jef Spaleta 2005-04-25 21:14:14 UTC
Since there is no gnbd or gnbd-kernel bugzilla component.. i'll mention it here.
the gnbd-kernel-* packages  have similar requires problems that need to be
examined.  Same sort of /lib/modules stuff and there is no requires linking gnbd
and gnbd-kernel packages.

Actually come to think of it i dont see requires link cman to cman-kernel.
Shouldn't there be some sort of requires link one way or the other?
So when you install the userspace component the kernel part gets pulled in or
you install the kernel component the user space gets pulled in.

I see dlm requires dlm-kernel so it seems cman should require cman-kernel and
gnbd should require gnbd-kernel.


-jef


Comment 3 Chris Feist 2005-04-25 23:15:34 UTC
Thanks,

I've added that requirement for cman, as well has fixed up the gnbd-kernel packages.

Comment 4 Jef Spaleta 2005-04-26 14:27:51 UTC
Sadly I can't test the fixes. Today's kernel module packages in rawhide
are built against a kernel that wasn't released to the public rawhide tree. 
cman-kernel is built against 2.6.11-1.1262_FC4 which was never released.
2.6.11-1.1261_FC4 hit the public tree april 23th
2.6.11-1.1267_FC4 hit the public tree today, april 26th
daily rawhide reports to -devel-list confirm.

You'll have to do a rebuild of the cman,dlm and gnbd kernel modules against
1267, in order for me to fully test the fixes.  On a brighter note, the
versioned requirements on the new packages keep yum from updating this packages
since the required kernel is not available.

-jef

Comment 5 Chris Feist 2005-04-26 14:48:46 UTC
Is there any easy way to tell if a kernel was released to the rawhide tree? 
I've rebuild the kernel packages against 1267 now.

-Chris

Comment 6 Bill Nottingham 2005-04-26 14:59:30 UTC
rawhide trees are just pulled from the latest packages as of about 5AM.

There are buildsystem notifications you can subscribe to to be notified of new
builds.


Note You need to log in before you can comment on or make changes to this bug.